%define module	Net-SCP
%define name	perl-%{module}
%define version	0.07
%define release	2mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{module} module for perl
License:	GPL or Artistic
Group:		Development/Perl
Source:		http://search.cpan.org/CPAN/authors/id/I/IV/IVAN/%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-root
BuildRequires:	perl-devel
BuildRequires:	perl-Net-SSH
BuildRequires:	perl-String-ShellQuote

%description
Simple wrappers around ssh and scp commands.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
%make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%files
%defattr(-,root,root)
%doc README
%{perl_vendorlib}/*
%{_mandir}/*/*

%changelog
* Fri Jul 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.07-2mdk 
- rebuild

* Wed Apr 21 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.07-1mdk
- new version
- rpmbuildupdate aware
- dir ownership
- no more explicit dependencies, let spec-helper do its job

* Thu Aug 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.06-3mdk
- rebuild for new perl
- use %%makeinstall_std macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.06-2mdk
- rebuild for new auto{prov,req}

* Sat Jan 04 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.06-1mdk
- 0.06

* Mon Jul 15 2002 Pixel <pixel@mandrakesoft.com> 0.05-3mdk
- rebuild for new perl 5.8.0

* Tue Oct 30 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.05-2mdk
- real description (Brian J. Murrell <cooker-in@interlinx.bc.ca>)

* Sat Oct 27 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.05-1mdk
- new in contribs
- buildrequires perl-devel

* Fri Aug 31 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.04-1mdk
- first Mandrake release
